Kerbal Space Program - Bug #778

Unable to delete parts after main node is removed
06/13/2013 05:28 PM - StellarDevil

Status: Not a Bug Start date: 06/13/2013
Severity: Petty % Done: 0%
Assignee:

Category: Parts

Target version:

Version: 0.20.2 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

| am unable to delete objects in the hangar after i deleted the main node.
Recreate:

1. Add main/first part.

2. Add another random part beside it(Do not attach it).

3. Delete the first/main part.

It is now impossible to delete the other object until you add another new part.

| was not sure how to search for this in the search engine so this is probably a double post. And also maybe a won't fix.
My guess would be to automagiclly make one of the remaining parts the "main" part or let the player actually chose the main part.

History

#1 - 07/10/2013 08:30 PM - APHSpace

| have done the same, and encountered this, although | find it a very easy fix, as you said just add a new part, or start a new rocket.

#2 - 07/31/2013 06:30 PM - Ted
- Status changed from New to Not a Bug
- % Done changed from 0 to 100

This is actually more of an oversight or missing feature, as opposed to a "bug". Thanks!
